using System;
using Syncfusion.XForms.Pickers;
using Xamarin.Forms.Xaml;

namespace InABox.Mobile
{

    public class DateSelectorChangedArgs : EventArgs
    {
        public DateTime Date { get; private set; }

        public DateSelectorChangedArgs(DateTime date)
        {
            Date = date;
        }
    }
    public delegate void DateSelectorChanged(object sender, DateSelectorChangedArgs args);
    
    
    
    [XamlCompilation(XamlCompilationOptions.Compile)]
    public partial class MobileDateSelector
    {
        
        public event DateSelectorChanged DateChanged;
        
        public DateTime Date
        {
            get => Picker.Date;
            set => Picker.Date = value;
        }
        
        public MobileDateSelector()
        {
            InitializeComponent();
        }

        private void Picker_OnTimeSelected(object sender, DateChangedEventArgs e)
        {
            DateChanged?.Invoke(this, new DateSelectorChangedArgs(Picker.Date));
        }

        private void Clear_OnClicked(object sender, MobileButtonClickEventArgs args)
        {
            Picker.Date = DateTime.MinValue;
        }

        private void Now_OnClicked(object sender, MobileButtonClickEventArgs args)
        {
            Picker.Date = DateTime.Today;
        }

    }
}