using System;
using InABox.Core;
using Xamarin.Forms;

namespace InABox.Mobile
{
    public abstract class LookupShell<TParent,TEntity> : Shell<TParent,TEntity>, ILookupShell
        where TParent : IModel, ILookupModel
        where TEntity : Entity, IRemotable, IPersistent, new()
    {
        public abstract string Code { get; }
        public abstract string Description { get; }
        public bool Selected { get; set; }
        public Color Colour => Selected ? Parent.Selected : Parent.Background;
    }
}